Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041978
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-10-10 10:422019-12-12 23:01
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisiona3921129c596
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041978: Import Entry data types without sequence should be sumbitted in last place

DescriptionWhen Import Entry Manager submits new entries to be processed they are grouped by their type of data, these types of data are sorted among them based on their reference list's sequence number.

When they don't have any sequence number defined, 50 is arbitrarily taken.

As there are types with a sequence bigger than 50, they are place in between.

Note there are types defined in standard retail pack without sequence number:

          value          | seqno 
-------------------------+-------
 BusinessPartner         |    10
 BusinessPartnerLocation |    20
 Order                   |    30
 FIN_Finacc_Transaction  |    40
 OBPOS_App_Cashup        |    60
 OBMOBC_ServerMessage    |    70
 OBPOS_RejectQuotation   |    80
 OBPOS_VoidLayaway       |    90
 OBPOS_IsOrderCancelled  |      
 OBPOS_CancelLayaway     |      
 OBMOBC_TerminalLog      |      
 VariantChDescUpdate     |      
 OBMOBC_SynchronizedData |      
 OBPOS_ExternalOrder     |      
(14 rows)
Steps To Reproduce-
Proposed SolutionThose types without any sequence should be placed after the rest.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040747 closedalostale Unnecessary wait in Import Entry Manager is causing lag in the processing of import entries even if resources are available 

-  Notes
(0115091)
hgbot (developer)
2019-10-15 15:40

Repository: erp/devel/pi
Changeset: 8d1010cc889212d36fb75ccd35d5e411f9e89ca7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Oct 10 14:26:44 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8d1010cc889212d36fb75ccd35d5e411f9e89ca7 [^]

related to issue 41978: code clean up

  Using stream and lambdas to make simpler list sorting with comparator.

---
M src/org/openbravo/service/importprocess/ImportProcessUtils.java
---
(0115092)
hgbot (developer)
2019-10-15 15:40

Repository: erp/devel/pi
Changeset: 392289cba2acf4858ddbc515adee9daaf341f1ef
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Oct 10 16:38:38 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/392289cba2acf4858ddbc515adee9daaf341f1ef [^]

related to issue 41978: keep stable order

  For elements with same sequence order also by id so that a stable
  order is maintained.

---
M src/org/openbravo/service/importprocess/ImportProcessUtils.java
---
(0115093)
hgbot (developer)
2019-10-15 15:40

Repository: erp/devel/pi
Changeset: a3921129c596453af53ed072005e0da5faeadb61
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Oct 10 16:41:13 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a3921129c596453af53ed072005e0da5faeadb61 [^]

fixed issue 41978: Import Entry types without sequence sumbitted in last place

  Data types that do not have a sequnece number are now submitted to be
  processed after all the rest.

---
M src/org/openbravo/service/importprocess/ImportProcessUtils.java
---
(0115170)
AugustoMauch (developer)
2019-10-18 14:37

Code reviewed and verified
(0116245)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116246)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116247)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-10 10:42 alostale New Issue
2019-10-10 10:42 alostale Assigned To => platform
2019-10-10 10:42 alostale Modules => Core
2019-10-10 10:42 alostale Triggers an Emergency Pack => No
2019-10-10 10:42 alostale Assigned To platform => alostale
2019-10-10 10:43 alostale Relationship added related to 0040747
2019-10-10 10:53 alostale Description Updated View Revisions
2019-10-10 16:59 alostale Review Assigned To => AugustoMauch
2019-10-15 15:40 hgbot Checkin
2019-10-15 15:40 hgbot Note Added: 0115091
2019-10-15 15:40 hgbot Checkin
2019-10-15 15:40 hgbot Note Added: 0115092
2019-10-15 15:40 hgbot Checkin
2019-10-15 15:40 hgbot Note Added: 0115093
2019-10-15 15:40 hgbot Status new => resolved
2019-10-15 15:40 hgbot Resolution open => fixed
2019-10-15 15:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a3921129c596453af53ed072005e0da5faeadb61 [^]
2019-10-18 14:37 AugustoMauch Note Added: 0115170
2019-10-18 14:37 AugustoMauch Status resolved => closed
2019-10-18 14:37 AugustoMauch Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116245
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116246
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116247


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker